
<STYLE>
/*body {
scrollbar-face-color: #77c77e; 
scrollbar-shadow-color: #456b30; 
scrollbar-highlight-color: #77c77e; 
scrollbar-3dlight-color: #456b30; 
scrollbar-darkshadow-color: #77c77e; 
scrollbar-track-color: #20a42c; 
scrollbar-arrow-color: #456b30;
}*/

body {
scrollbar-face-color: #E6F0F9; 
scrollbar-shadow-color: #0090D3; 
scrollbar-highlight-color: #E6F0F9; 
scrollbar-3dlight-color: #0090D3; 
scrollbar-darkshadow-color: #E6F0F9; 
scrollbar-track-color: #CFE5F3; 
scrollbar-arrow-color: #0090D3;
}

body.negro {
scrollbar-face-color: #CECECE; 
scrollbar-shadow-color: #818181; 
scrollbar-highlight-color: #CECECE; 
scrollbar-3dlight-color: #818181; 
scrollbar-darkshadow-color: #CECECE; 
scrollbar-track-color: #7f7f7f; 
scrollbar-arrow-color: #818181;
}

.textonegrobold {
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

.textorojobold {
	color: #F51D30;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

.textoblanconormal {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 10px;
	font-weight: normal;
}

.textoblancobold {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

.textoazulbold {
	color: #0090D3;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}


.textoblanco14 {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 14px;
	font-weight: bold;
}

.textonegro14 {
	color: #000000;
	font-family: Verdana;
	font-size: 14px;
	font-weight: bold;
}

.textonegro12 {
	color: #000000;
	font-family: Verdana;
	font-size: 12px;
	font-weight: bold;
}

.textoverdebold {
	color: #20A42C;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

.textogrisbold {
	color: #7f7f7f;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

.textogrisboldcursiva {
	color: #7f7f7f;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	font-style: italic;
}

.textogrisclarobold {
	color: #b1b1b1;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

.inplogintxt {
	color: #000000;
	font-size: 10px;
	font-family: Verdana;
	border: 1px solid #000000;
	font-weight: bold;
	background-color: #FFFFFF;
}

.frmclass {
	margin: 0px;
}

a.linkblancobold {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}

a.linkazulbold {
	color: #0090D3;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}


a.linkblancobold {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}
a.linkblancoboldp {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 8px;
	font-weight: bold;
	text-decoration: none;
}
	
a.linkblancobold:hover {
	color: #d1d1d1;
}

a.linkblanconormal {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 10px;
	font-weight: normal;
	text-decoration: none;
}

a.linknegrobold {
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}

a.linknegroboldp {
	color: #000000;
	font-family: Verdana;
	font-size: 8px;
	font-weight: bold;
	text-decoration: none;
}

a.linknegrobold:hover {
	color: #FFFFFF;
}

a.linknegroboldv {
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}

a.linknegroboldv:hover {
	color: #20a42c;
}

a.linknegroboldg {
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}

a.linknegroboldg:hover {
	color: #7f7f7f;
}

a.linkrojobold {
	color: #F51D30;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}
	
a.linkrojobold:hover {
	color: #000000;
}

a.linknegrocentro {
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
	text-decoration: none;
}
	
/*a.linknegrocentro:hover {
	color: #FFFFFF;
}*/

.inptxt {
color: #000000;
font-family: Verdana;
font-size: 10px;
font-weight: bold;
border: 1px solid black;
width: 250px;
}

.inpsel {
color: #000000;
font-family: Verdana;
font-size: 10px;
font-weight: bold;
border: 1px solid black;
}

.optdisabled {
color: #999999;
}

.jsperror {
	color: #000000;
	font-family: Verdana;
	font-size: 9pt;
}

a.lnkcambioidioma {
	color: #FFFFFF;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

td.totales {
	background-color: #DDDDDD;
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

td.subtotales {
	background-color: #eeeeee;
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

td.totalesprint {
	border: 1px solid black;
	background-color: #DDDDDD;
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

td.subtotalesprint {
	border: 1px solid black;
	background-color: #eeeeee;
	color: #000000;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

td.textogrisboldprint {
	border: 1px solid black;
	color: #7f7f7f;
	font-family: Verdana;
	font-size: 10px;
	font-weight: bold;
}

table.tablaest {
	border: 1px solid black;
}

.pestanaSeleccionada
{
    font-family:Arial,Veranda;
    font-size:10pt;
    padding-left:6px;
    padding-right:6px;
    padding-top:1px;
    padding-bottom:1px;
    background-color:#FFFFFF;   
    color: #FFFFFF;
    font-weight: bold;
    text-transform: capitalize;
/*    border-left: 1px solid #808080;    
    border-right: 1px solid #808080;     
    border-top: 1px solid #808080;*/
    color: rgb(40,104,166);

}

.pestanaPorDefecto
{
    font-family:Arial,Veranda;
    font-size:10pt;
    padding-left:6px;
    padding-right:6px;
    padding-top:1px;
    padding-bottom:1px;
    /*background-color:#004080;*/
    background-color: rgb(40,104,166);
    font-weight: bold;
    color: rgb(40,104,166);
    text-transform: capitalize;
/*    border-left: 1px solid #808080;    
    border-right: 1px solid #808080; 
    border-bottom: 1px solid #808080;
    border-top: 1px solid #808080;*/

}

.pestanaPorDefecto2
{
    font-family:Arial,Veranda;
    font-size:9pt;
    padding-left:6px;
    padding-right:6px;
    padding-top:1px;
    padding-bottom:1px;
    /*background-color:#004080;*/
    background-color: rgb(40,104,166);
    font-weight: bold;
    text-transform: capitalize;
    border-left: 1px solid #808080;    
    border-right: 1px solid #808080; 
    border-bottom: 1px solid #808080;
    border-top: 1px solid #808080;
    color:#c0c0c0;

}

.linea
{
 border-left: 1px solid #808080;   
 border-right: 1px solid #808080; 
}

.lineaAbajo
{
 border-bottom: 1px solid #808080;
}

</STYLE>
<script type="text/javascript" >

//GENERAL JS
function Is () {
	// convert all characters to lowercase to simplify testing
	var agt=navigator.userAgent.toLowerCase()

	// --- BROWSER VERSION ---
	this.major = _stringToNumber(navigator.appVersion)
	this.minor = parseFloat(navigator.appVersion)

	this.nav  = ((agt.indexOf('mozilla')!=-1) && ((agt.indexOf('spoofer')==-1)
                 && (agt.indexOf('compatible') == -1)))
	this.nav2 = (this.nav && (this.major ==	2))
	this.nav3 = (this.nav && (this.major ==	3))
	this.nav4 = (this.nav && (this.major ==	4))

	//Netscape 6
	this.nav5  = (this.nav && (this.major ==	5))
	this.nav6  = (this.nav && (this.major ==	5))
	this.gecko = (this.nav && (this.major >= 5))

	this.ie   = (agt.indexOf("msie") !=	-1)
	this.ie3  = (this.ie && (this.major	== 2))
	this.ie4  = (this.ie && (this.major	== 3))
	this.ie5  = (this.ie && (this.major	== 4))

	this.opera = (agt.indexOf("opera") != -1)

	this.nav4up = this.nav && (this.major >= 4)
	this.ie4up  = this.ie  && (this.major >= 4)
}

function _stringToNumber(s) {
	return parseInt(('0' + s), 10)
}

var is = new Is();

/**
 * devuelve la altura de la ventana
 **/
function gen_getCurrentWinHeight() {
	if (is.nav4)        return(window.innerHeight);
	else if (is.ie4up)  return(document.body.clientHeight);
	else if (is.gecko)  return(window.innerHeight);
}

/** OPCIONES **/
function gen_PregOpciones (cod_pregunta, descripcion, obligatoria, tipo, formato) {
	this.cod_pregunta = cod_pregunta;
	this.descripcion = descripcion;
	this.obligatoria = obligatoria;
	this.tipo = tipo;
	this.formato = formato;

	this.comprobar = gen_comprobarPregOpciones;
}

function gen_comprobarPregOpciones () {
	// obligatoria
	if (this.obligatoria == "S") {
		if (this.formato == "select") {
			// select
			if (document.frm["opt_"+this.cod_pregunta].value == "") {
				mensajePreguntaObligatoria(this.descripcion);
				return false;
			}
		}
		else if (this.formato == "check") {
			// check
			var hay_checked = false;
			var opt = document.frm["opt_check_"+this.cod_pregunta];
			if (typeof(opt.length) == "undefined"){
				// sólo hay una opcion
				if (opt.checked) {
					hay_checked = true;
				}
			}
			else {
				for (var j=0; j<opt.length; j++) {
					if (opt[j].checked) {
						// hay un checkbox checkeado
						hay_checked = true;
						break;
					}
				}
			}
			if (!hay_checked) {
				// no hay ningún radio button chequeado -> la respuesta es vacía
				mensajePreguntaObligatoria(this.descripcion);
				if (typeof(opt.length) == "undefined") {
					// sólo una opción
					opt.focus();
				}
				else {
					// más de una opcion
					opt[0].focus();
				}
				return false;
			}
		}
		else if (this.formato == "radio") {
			// radio
			var hay_checked = false;
			
			var opt = document.frm["opt_"+this.cod_pregunta];
			if (typeof(opt.length) == "undefined") {
				// sólo hay una opcion
				if (opt.checked) {
					hay_checked = true;
				}
			}
			else {
				// hay más de una opción
				for (var j=0; j<opt.length; j++) {
					if (opt[j].checked) {
						// hay un radiobutton checkeado
						hay_checked = true;
						break;
					}
				}
			}
			if (!hay_checked) {
				// no hay ningún radio button chequeado -> la respuesta es vacía
				mensajePreguntaObligatoria(this.descripcion);
				if (typeof(opt.length) == "undefined") {
					// sólo una opción
					opt.focus();
				}
				else {
					// más de una opción
					opt[0].focus();
				}
				return false;
			}
		}
	}

	return true;
}
/** FIN OPCIONES **/

/** GRUPOS **/
function gen_PregGrupos (cod_pregunta, descripcion, obligatoria, tipo, formato) {

	this.cod_pregunta = cod_pregunta;
	this.descripcion = descripcion;
	this.obligatoria = obligatoria;
	this.tipo = tipo;
	this.formato = formato;

	this.comprobar = gen_comprobarPregGrupos;
}

function gen_comprobarPregGrupos () {
	// obligatoria
	if (this.obligatoria == "S") {
		var grupoDos1 = document.frm["grp_2_2_1"].value;
		if (grupoDos1=="") grupoDos1=0;
		var grupoDos2 = document.frm["grp_2_2_2"].value;
		if (grupoDos2=="") grupoDos2=0;
		var totalPersonas = parseInt(grupoDos1) + parseInt(grupoDos2);
		if (this.formato == "2") { //se trata de un grupo de dos campos
			if (totalPersonas==0) {
				mensajePreguntaObligatoria(this.descripcion);
				document.frm["grp_2_2_1"].focus();
				return false;
			}
		}
		else if (this.formato == "5") { //se trata de un grupo de 5 campos
			var total=0;
			for (var i=1; i<6; i++) {
				var grupo = document.frm["grp_5_4_"+i].value;
				if (grupo=="") grupo=0;
				total += parseInt(grupo);
			}
			if ( total==0) {
				mensajePreguntaObligatoria(this.descripcion);
				document.frm["grp_5_4_1"].focus();
				return false;
			}
			if (total!=totalPersonas) {
				mensajeTotalPersonasGrupos();
				document.frm["grp_5_4_1"].focus();
				return false;
			}
		}
	}

	return true;
}


/** FIN GRUPOS **/

/** TEXTO **/
function gen_PregTexto (cod_pregunta, descripcion, obligatoria, tipo, tamano) {

	this.cod_pregunta = cod_pregunta;
	this.descripcion = descripcion;
	this.obligatoria = obligatoria;
	this.tipo = tipo;
	this.tamano = tamano;

	this.comprobar = gen_comprobarPregTexto;
}

function gen_comprobarPregTexto () {
	// obligatoria
	if (this.obligatoria == "S") {
		if (document.frm["txt_"+this.cod_pregunta].value == "") {
			// el input text es vacío
			mensajePreguntaObligatoria(this.descripcion);
			return false;
		}
	}

	// tamaño

	return true;
}
/** FIN TEXTO **/

/** PROCEDENCIA **/
function gen_PregProcedencia (cod_pregunta, descripcion, obligatoria, tipo) {

	this.cod_pregunta = cod_pregunta;
	this.descripcion = descripcion;
	this.obligatoria = obligatoria;
	this.tipo = tipo;

	this.comprobar = gen_comprobarPregProcedencia;
}

function gen_comprobarPregProcedencia () {
	// obligatoria
	if (this.obligatoria == "S") {
	}

	return true;
}
/** FIN PROCEDENCIA **/

/** FECHA **/
function gen_PregFecha (cod_pregunta, descripcion, obligatoria, tipo, fecha_min, fecha_max) {
	this.cod_pregunta = cod_pregunta;
	this.descripcion = descripcion;
	this.obligatoria = obligatoria;
	this.tipo = tipo;
	this.fecha_min = fecha_min;
	this.fecha_max = fecha_max;

	this.comprobar = gen_comprobarPregFecha;
}

function gen_comprobarPregFecha () {
	// obligatoria
	
	if (this.obligatoria == "S") {
		if (document.frm["fech_"+this.cod_pregunta+"_dia"].value == ""
		 || document.frm["fech_"+this.cod_pregunta+"_mes"].value == ""
		 || document.frm["fech_"+this.cod_pregunta+"_anio"].value == "") {

			// alguno de los campos fecha son vacios.
			mensajePreguntaObligatoria(this.descripcion);
			document.frm["fech_"+this.cod_pregunta+"_dia"].focus();
			return false;
		}
	}

	// comprobar que la fecha es lógica
	var anio = document.frm["fech_"+this.cod_pregunta+"_anio"].value;
	var mes = document.frm["fech_"+this.cod_pregunta+"_mes"].value;
	var dia = document.frm["fech_"+this.cod_pregunta+"_dia"].value;
	var error = false;

	if (mes == '04' || mes == '06' || mes == '09' || mes == '11') {
		if (dia == '31') {
			// abril, junio, septiembre, noviembre y 31
			error = true;
		}
	}
	if (mes == '02') {
		if (dia == '30' || dia == '31') {
			// febrero y 30 ó 31
			error = true;
		}
		if (dia == '29') {
			// cálculo de año bisiesto:
			//  Si no es múltiplo de 4, no es bisiesto seguro
			//  Si es múltiplo de 4 y no es múltiplo de 100 seguro que es bisiesto
			//  Si es múltiplo de 4 y de 100 y es múltiplo de 400 es bisiesto
			//                               si no, no es bisiesto
			var bisiesto = false;
			if (anio % 4 == 0) {
				if (anio % 100 != 0) {
					bisiesto = true;
				}
				else if (anio % 400 == 0) {
					bisiesto = true;
				}
			}
			if (!bisiesto) {
				// febrero, no es año bisiesto y 31
				error = true;
			}
		}
	}

	if (error) {
			// la fecha elegida no es válida
			mensajeFechaNoValida(this.descripcion);
			document.frm["fech_"+this.cod_pregunta+"_dia"].focus();
			return false;
		}
	return true;
}
/** FIN FECHA **/


/** PROCEDENCIA **/
function gen_changeTerritorio (cod_procedencia) {
/* Si cambia el territorio, hay que cambiar los valores de las cajas: 
    * comunidad: pais vasco
    * pais: españa
*/
    var proc_ccaa = eval('document.frm.proc_ccaa_6_'+cod_procedencia);
    var proc_pais = eval('document.frm.proc_pais_6_'+cod_procedencia);
    proc_ccaa.selectedIndex=1;
    proc_pais.selectedIndex=0;
}

function gen_changeCCAA (cod_procedencia) {
/* Si cambia la comunidad autonoma, el pais debe ser españa, y el territorio vacio*/
	eval('document.frm.proc_territorio_6_'+cod_procedencia+'.selectedIndex=0');
	eval('document.frm.proc_pais_6_'+cod_procedencia+'.selectedIndex=0');
}

function gen_changePais (cod_procedencia) {
    eval('document.frm.proc_territorio_6_'+cod_procedencia+'.selectedIndex=0;');
    eval('document.frm.proc_ccaa_6_'+cod_procedencia+'.selectedIndex=0;');
    if (eval('document.frm.proc_pais_6_'+cod_procedencia+'.value')==0)
    { // Si el pais es españa, marca pais vasco
        eval('document.frm.proc_ccaa_6_'+cod_procedencia+'.selectedIndex=1;');
    }
}
/** FIN PROCEDENCIA **/


/** FUNCIONES DE VALIDACION PARA FORMULARIOS **/
function gen_validartxt (input, nombre, es_obligatorio, longitud_max) {
	var gen_value = input.value;
	
	if (es_obligatorio && gen_value == '') {
		mensajeCampoObligatorio(nombre);
		input.focus();
		return false;
	}
	if (gen_value.length > longitud_max) {
		mensajeNumeroMaximoCaracteres(nombre, longitud_max, gen_value.length);
		input.focus();
		return false;
	}

	return true;
}

function gen_validartxt_int (input, nombre, es_obligatorio, longitud_max) {
	var gen_value = input.value;

	if (es_obligatorio && gen_value == '') {
		mensajeCampoObligatorio(nombre);
		input.focus();
		return false;
	}

	if((gen_value.indexOf(".")!=-1) || (gen_value.indexOf(",")!=-1)) {
		mensajeCampoEntero(nombre);
		input.focus();
		return false;
	}	

	if ((gen_value.length > longitud_max)) {
		mensajeNumeroMaximoCifras(nombre, longitud_max, gen_value.length);
		input.focus();
		return false;
	}

	var re = new RegExp ('[0-9]{'+gen_value.length+'}');
	if(!re.test(gen_value)){
		mensajeCampoNumerico(nombre);
		input.focus();
		return false;
	}

	return true;
}

function gen_validarfecha (input, nombre, es_obligatorio, long_max) {
	var gen_value = input.value;

	if (es_obligatorio && gen_value == '') {
		mensajeCampoObligatorio(nombre);
		input.focus();
		return false;
	} 

	var re = new RegExp ('[0-3][0-9]/[0-1][0-9]/[0-9]{4}');
	
	if (gen_value != '')
	{
		if (!re.test(gen_value)) {
			mensajeCampoFormatoFecha(nombre);
			input.focus ();
			return false;
		}
	}

	return true;
}

function gen_validarsel (input, nombre, es_obligatorio) {
	var gen_options = input.options;

	if (es_obligatorio && (gen_options.selectedIndex == "-1" || gen_options[gen_options.selectedIndex].value == "")) {
		mensajeCampoObligatorio(nombre);
		input.focus();
		return false;
	}

	return true;
}
/** FIN FUNCIONES DE VALIDACION PARA FORMULARIOS **/

function mensajePreguntaObligatoria (strDescripcion) {
  if (cki_getCookie("q53_idioma")=="C") 
	alert ("La pregunta '"+strDescripcion+"' es obligatoria.");
  else
	alert ("'"+strDescripcion+"' galdera bete beharrekoa da."); 
}
function mensajeTotalPersonasGrupos () {
  if (cki_getCookie("q53_idioma")=="C")
	alert ("El total de personas debe coincidir con la suma de hombres y mujeres de la pregunta 2.");
  else
	alert ("Pertsonen kopuruak eta 2. galderako gizon-emakumeen kopuruak berdinak izan behar dute.");
}
function mensajeFechaNoValida (strDescripcion) {
  if (cki_getCookie("q53_idioma")=="C")
	alert ("La fecha elegida para '"+strDescripcion+"' no es válida.");
  else
	alert ("'"+strDescripcion+"' hautatutako data ez da zuzena."); 
}
function mensajeCampoObligatorio (strDescripcion) {
  if (cki_getCookie("q53_idioma")=="C") 
	alert("*** El campo ["+strDescripcion+"] es obligatorio");
  else
	alert("*** ["+strDescripcion+"] eramua bete beharrekoa da.");
}
function mensajeNumeroMaximoCaracteres (strNombre, strLongitud_max, strLongitud_actual) {
  if (cki_getCookie("q53_idioma")=="C") 
	alert("*** El máximo número de caracteres permitido en ["+strNombre+"] es "+strLongitud_max+". Ahora es de "+strLongitud_actual+" caracteres.");
  else
	alert("*** ["+strNombre+"] eremuko gehienezko karaterrak "+strLongitud_max+" dira. Orain "+strLongitud_actual+" dira.");
}
function mensajeCampoEntero (strNombre) {
  if (cki_getCookie("q53_idioma")=="C")
	alert("*** El campo ["+strNombre+"] tiene que ser entero");
  else
	alert("*** ["+strNombre+"] eremuak osorik behar du.");
}
function mensajeNumeroMaximoCifras (strNombre, strLongitud_max, strLongitud_actual) {
  if (cki_getCookie("q53_idioma")=="C")
	alert("*** El máximo número de cifras permitido en ["+strNombre+"] es "+strLongitud_max+". Ahora es de "+strLongitud_actual+" caracteres.");
  else
	alert("*** ["+strNombre+"] eremuko gehienezko zifrak "+strLongitud_max+" dira. Orain "+strLongitud_actual+" dira.");
}
function mensajeCampoNumerico (strNombre) {
  if (cki_getCookie("q53_idioma")=="C")
	alert("*** El campo ["+strNombre+"] tiene que ser numérico");
  else
	alert("*** ["+strNombre+"] eremuan zenbakiak idatzi behar dira.");
}
function mensajeCampoFormatoFecha (strNombre) {
  if (cki_getCookie("q53_idioma")=="C")
	alert ("*** El campo ["+strNombre+"] tiene que estar en formato 'DD/MM/YYYY'");
  else
	alert ("*** ["+strNombre+"] eremuko fomatua 'YYYY/MM/DD' da.");
}

</script>
<script type="text/javascript">
// param js
var prm_array = new Array ();

function prm_Param ( prm ) {
	var prm_ig = 0;
	prm_ig = prm.indexOf ('=');
	if (prm_ig != -1) {
		this.param = prm.substring (0, prm_ig);
		this.valor = prm.substring (prm_ig+1);
	} else {
		this.param = prm;
		this.valor = '';
	}
}

function prm_initParams () {
	var prm_i = 0;
	var prm_f = 0;
	var i=0;

	var prm_s = this.location.search;
	if (prm_s == '') return;

	while (prm_i != -1) {
		var prm_tmp;
		prm_f = prm_s.indexOf ('&', prm_i+1);
		if (prm_f != -1) prm_tmp = prm_s.substring (prm_i+1, prm_f);
		else prm_tmp = prm_s.substring (prm_i+1);
		prm_array [i] = new prm_Param (prm_tmp);
		i++;
		prm_i = prm_f;
	}
}

function prm_getValor ( prm ) {
	if (prm_array.length == 0) prm_initParams ();

	var i=0;
	while ( i < prm_array.length) {
		if ( prm_array [i].param == prm ) return prm_array [i].valor;
		i++;
	}
	return "";
}

function prm_isParametro ( prm ) {
	if (prm_array.length == 0) prm_initParams ();

	var i=0;
	while ( i < prm_array.length) {
		if ( prm_array [i].param == prm ) return true;
		i++;
	}
	return false;
}

function prm_getParametros () {
	if (prm_array.length == 0) prm_initParams ();
	var prm_pa = new Array ();

	for ( i=0; i < prm_array.length; i++ ) {
		prm_pa [i] = prm_array [i].param;
	}
	return prm_pa;
}
</script>